clang 10.0.0git

Static Public Member Functions | List of all members
llvm::DenseMapInfo< clang::CharUnits > Struct Template Reference

`#include "clang/AST/CharUnits.h"`

## Static Public Member Functions
static clang::CharUnits | getEmptyKey ()
static clang::CharUnits | getTombstoneKey ()
static unsigned | getHashValue (const clang::CharUnits &CU)
static bool | isEqual (const clang::CharUnits &LHS, const clang::CharUnits &RHS)

## Detailed Description

### template<>
struct llvm::DenseMapInfo< clang::CharUnits >

Definition at line 219 of file CharUnits.h.

## Member Function Documentation

## ◆ getEmptyKey()

static clang::CharUnits llvm::DenseMapInfo< clang::CharUnits >::getEmptyKey | ( |  | ) |
| inline static

Definition at line 220 of file CharUnits.h.

References clang::CharUnits::fromQuantity().

## ◆ getHashValue()

static unsigned llvm::DenseMapInfo< clang::CharUnits >::getHashValue | ( | const clang::CharUnits & | CU | ) |
| inline static

Definition at line 234 of file CharUnits.h.

References clang::CharUnits::getQuantity().

## ◆ getTombstoneKey()

static clang::CharUnits llvm::DenseMapInfo< clang::CharUnits >::getTombstoneKey | ( |  | ) |
| inline static

Definition at line 227 of file CharUnits.h.

References clang::CharUnits::fromQuantity().

## ◆ isEqual()

static bool llvm::DenseMapInfo< clang::CharUnits >::isEqual | ( | const clang::CharUnits & | LHS,
|  | const clang::CharUnits & | RHS
| ) |  |
| inline static

Definition at line 239 of file CharUnits.h.

The documentation for this struct was generated from the following file:

- include/clang/AST/CharUnits.h